# FoundationClasses
TKernel
TColStd

# TColStd_HArray1OfInteger Class Reference

`#include <TColStd_HArray1OfInteger.hxx>`

Inheritance diagram for TColStd_HArray1OfInteger:

[legend]

## Public Member Functions

Standard_EXPORT | TColStd_HArray1OfInteger (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | TColStd_HArray1OfInteger (const Standard_Integer Low, const Standard_Integer Up, const Standard_Integer &V)
Standard_EXPORT void | Init (const Standard_Integer &V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Standard_Integer &Value)
const Standard_Integer & | Value (const Standard_Integer Index) const
Standard_Integer & | ChangeValue (const Standard_Integer Index)
const TColStd_Array1OfInteger & | Array1 () const
TColStd_Array1OfInteger & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TColStd_Array1OfInteger | myArray

## Constructor & Destructor Documentation

Standard_EXPORT TColStd_HArray1OfInteger::TColStd_HArray1OfInteger | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT TColStd_HArray1OfInteger::TColStd_HArray1OfInteger | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Standard_Integer & | V
| ) |

## Member Function Documentation

const TColStd_Array1OfInteger& TColStd_HArray1OfInteger::Array1 | ( |  | ) | const

TColStd_Array1OfInteger& TColStd_HArray1OfInteger::ChangeArray1 | ( |  | ) |

Standard_Integer& TColStd_HArray1OfInteger::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const TColStd_HArray1OfInteger::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MMgt_TShared.

Standard_EXPORT void TColStd_HArray1OfInteger::Init | ( | const Standard_Integer & | V | ) |

Standard_Integer TColStd_HArray1OfInteger::Length | ( |  | ) | const

Standard_Integer TColStd_HArray1OfInteger::Lower | ( |  | ) | const

void TColStd_HArray1OfInteger::SetValue | ( | const Standard_Integer | Index,
|  | const Standard_Integer & | Value
| ) |

Standard_Integer TColStd_HArray1OfInteger::Upper | ( |  | ) | const

const Standard_Integer& TColStd_HArray1OfInteger::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

TColStd_Array1OfInteger TColStd_HArray1OfInteger::myArray `[private]`

The documentation for this class was generated from the following file:

- TColStd_HArray1OfInteger.hxx